%define	major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	An SQLite extension that provides 256 bit AES encryption of database files
Name:		sqlcipher
Version:	4.6.1
Release:	%mkrel 2
License:	BSD-style
Group:		System/Libraries
URL:		https://www.zetetic.net/sqlcipher/
Source0:	https://github.com/sqlcipher/sqlcipher/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		sqlcipher-no-rpath.patch
BuildRequires:	pkgconfig(openssl) >= 1.1
BuildRequires:	pkgconfig(readline)
BuildRequires:	tcl

%description
SQLCipher is an SQLite extension that provides transparent 256-bit AES
encryption of database files. Pages are encrypted before being written to
disk and are decrypted when read back. Due to the small footprint and great
performance it’s ideal for protecting embedded application databases and
is well suited for mobile development.

%package -n	%{libname}
Summary:	An SQLite extension that provides 256 bit AES encryption of database files
Group:		System/Libraries

%description -n	%{libname}
SQLCipher is an SQLite extension that provides transparent 256-bit AES
encryption of database files. Pages are encrypted before being written to
disk and are decrypted when read back. Due to the small footprint and great
performance it’s ideal for protecting embedded application databases and
is well suited for mobile development.

This package contains the shared libraries for %{name}

%package -n	%{develname}
Summary:	Development library and header files for the %{name} library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
SQLCipher is an SQLite extension that provides transparent 256-bit AES
encryption of database files. Pages are encrypted before being written to
disk and are decrypted when read back. Due to the small footprint and great
performance it’s ideal for protecting embedded application databases and
is well suited for mobile development.

This package contains the static %{libname} library and its header
files.

%prep
%autosetup -p1

%build
export CFLAGS="%optflags -DSQLITE_HAS_CODEC -DSQLITE_ENABLE_COLUMN_METADATA"
%configure --disable-static --disable-tcl --enable-tempstore=yes
%make_build

%install
%make_install

%files
%doc CHANGELOG.md README.md
%{_bindir}/%{name}

%files -n %{libname}
%license LICENSE.md
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc CHANGELOG.md README.md
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 4.6.1-2.mga10
+ Revision: 2230628
- Mageia 10 Mass Rebuild

* Mon Dec 02 2024 daviddavid <daviddavid> 4.6.1-1.mga10
+ Revision: 2120597
- new version: 4.6.1

* Sat Jun 01 2024 daviddavid <daviddavid> 4.6.0-1.mga10
+ Revision: 2069077
- new version: 4.6.0

* Thu May 09 2024 daviddavid <daviddavid> 4.5.7-1.mga10
+ Revision: 2063152
- new version: 4.5.7

* Sun Feb 18 2024 daviddavid <daviddavid> 4.5.6-1.mga10
+ Revision: 2042418
- new version: 4.5.6

* Fri Sep 01 2023 daviddavid <daviddavid> 4.5.5-1.mga10
+ Revision: 1983261
- new version: 4.5.5

* Fri Dec 30 2022 daviddavid <daviddavid> 4.5.3-1.mga9
+ Revision: 1928194
- new version: 4.5.3

* Mon Nov 14 2022 daviddavid <daviddavid> 4.5.2-1.mga9
+ Revision: 1907335
- new version: 4.5.2

* Fri Mar 18 2022 umeabot <umeabot> 4.4.3-3.mga9
+ Revision: 1797875
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 4.4.3-2.mga9
+ Revision: 1748507
- drop RPATH
- rebuild for openssl 3.0.0

* Wed Mar 10 2021 daviddavid <daviddavid> 4.4.3-1.mga9
+ Revision: 1700995
- new version: 4.4.3

* Tue Dec 15 2020 daviddavid <daviddavid> 4.4.2-1.mga8
+ Revision: 1657903
- new version: 4.4.2

* Tue Nov 17 2020 daviddavid <daviddavid> 4.4.1-1.mga8
+ Revision: 1646780
- new version: 4.4.1

* Fri May 29 2020 daviddavid <daviddavid> 4.4.0-1.mga8
+ Revision: 1588758
- new version: 4.4.0

* Thu Feb 20 2020 umeabot <umeabot> 4.3.0-2.mga8
+ Revision: 1547350
- Mageia 8 Mass Rebuild

* Sat Feb 08 2020 daviddavid <daviddavid> 4.3.0-1.mga8
+ Revision: 1487956
- new version: 4.3.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Jan 06 2020 luigiwalser <luigiwalser> 4.2.0-2.mga8
+ Revision: 1476817
- rebuild for readline

* Fri Jul 05 2019 daviddavid <daviddavid> 4.2.0-1.mga8
+ Revision: 1418653
- new version: 4.2.0

* Sun Apr 14 2019 daviddavid <daviddavid> 4.1.0-1.mga7
+ Revision: 1389873
- new version: 4.1.0

* Thu Jan 03 2019 daviddavid <daviddavid> 4.0.1-1.mga7
+ Revision: 1348947
- new version: 4.0.1

* Sun Sep 23 2018 umeabot <umeabot> 3.4.2-3.mga7
+ Revision: 1301153
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 3.4.2-2.mga7
+ Revision: 1234156
- fix build on aarch64

* Sat Jan 06 2018 daviddavid <daviddavid> 3.4.2-1.mga7
+ Revision: 1190736
- new version: 3.4.2

* Tue Jan 02 2018 wally <wally> 3.4.1-2.mga7
+ Revision: 1189470
- rebuild for new readline

* Sun Sep 24 2017 cjw <cjw> 3.4.1-1.mga7
+ Revision: 1158824
- enable SQLITE_ENABLE_COLUMN_METADATA for libgda5.0
+ guillomovitch <guillomovitch>
- new version 3.4.1

* Thu Mar 31 2016 daviddavid <daviddavid> 3.3.1-3.mga6
+ Revision: 997185
- add patch to fix headers path in pkgconfig file (mga#16774)
  * https://github.com/sqlcipher/sqlcipher/pull/99
- use a named-versioned tarball from github

* Fri Feb 12 2016 umeabot <umeabot> 3.3.1-2.mga6
+ Revision: 958912
- Mageia 6 Mass Rebuild

* Fri Aug 28 2015 fwang <fwang> 3.3.1-1.mga6
+ Revision: 870661
- add doc files
- use correct build flags as suggested by upstream
- update license
- imported package sqlcipher

